Status: Fixed % Done: 100%
Priority: Normal
Assignee: Pablo Sanxiao
Category:
Target version:
Severity: Add-on name: Unknown
gvSIG version: 1.11.0 Add-on version:
gvSIG build: Add-on build:
Operative System: Windows Add-on resolve version:
Keywords: Add-on resolve build:
Has patch: Yes
Description

Loading a shp with negative values in a field. When trying to create an interval legend by that field, the geometries e.g. between -1000
and -500 are not displayed in the view.
This patch will solve this bug (osor gvSIG tracker: #13068 and #13080): 
Patch was sent to the list and tested by gvSIG
users:http://osgeo-org.1560.n6.nabble.com/Bug-al-crear-mapa-de-coropletas-de-intervalos-naturales-td4122000.html#a4122007
The patch was created by CSGIS and Fernando González Cortés

History
#1 - 03/07/2012 05:33 PM - Jorge Sanz

This patch is to libFMap. As this library is part of the core of gvSIG, in order to accept and apply it (if it's worth) we need first to receive the CLA from
the authors.

More info about this process at the gvSIG Portal at What is the gvSIG CLA

Thanks in advance

#2 - 03/08/2012 10:50 AM - Pablo Sanxiao
- Status changed from Awaiting response to In progress

From technical point of view, the patch looks good to me and I think it's worth applying it, well done.

Once everything about CLA is ok, I'll upload it.

#3 - 03/26/2012 12:54 PM - Pablo Sanxiao
- Status changed from In progress to Awaiting response
- Target version deleted (1.12.0-final)

#4 - 03/26/2012 06:14 PM - Pablo Sanxiao
- Status changed from Awaiting response to Fixed
- Target version set to 1.12.0-rc1
- % Done changed from 0 to 100
http://www.gvsig.org/web/projects/gvsig-desktop/docs/devel/como-contribuir-en-gvsig/contribuciones-y-parches-al-codigo-de-gvsig/what-is-the-gvsig-cla


Patch applied. Thank you for your work!

#5 - 02/20/2014 10:21 AM - Álvaro Anguix
- Project changed from Application: gvSIG desktop to | gvSIG desktop 1
- Target version deleted (1.12.0-rc1)

Files
finterval.patch 3.33 KB 03/07/2012 Jose Antonio Canalejo Alonso
